Jump to content


Feral's upcoming project?


  • Please log in to reply
2880 replies to this topic

#2841 mattw

mattw

    Legendary

  • Members
  • PipPipPipPipPip
  • 897 posts

Posted 05 November 2019 - 01:10 PM

Seems Shadow of the Tomb Raider requires Catalina as well...

It is starting to look like you need two Macs - one for all your legacy titles and another going forwards.
Mac Pro 09 (now a 5.1, 2 x 3.06GHz Xeon X5675, 24GB, RX580 8GB, 480SSD, 16TB HD, MacOS 10.14

#2842 Mr Pink

Mr Pink

    Legendary

  • Members
  • PipPipPipPipPip
  • 545 posts

Posted 05 November 2019 - 01:16 PM

Only 4th Generation MacBooks Pros supported... I guess the end is near for my late 2013 MBP.

#2843 jeannot

jeannot

    Heroic

  • Members
  • PipPipPipPip
  • 395 posts

Posted 05 November 2019 - 01:17 PM

View Postmattw, on 05 November 2019 - 01:10 PM, said:

Seems Shadow of the Tomb Raider requires Catalina as well...
Crap. :(

EDIT: it's not the first time that a Feral game requires the latest macOS, but in this instance, I don't think it's a good move. I suspect that many Mac gamers are not willing to update to Catalina.

#2844 Frigidman™

Frigidman™

    Eye Sea Yew

  • Admin
  • 4399 posts
  • Steam ID:frigidman
  • Location:East mahn, East!
  • Pro Member:Yes

Posted 05 November 2019 - 01:42 PM

View Postjeannot, on 05 November 2019 - 01:17 PM, said:

Crap. :(

EDIT: it's not the first time that a Feral game requires the latest macOS, but in this instance, I don't think it's a good move. I suspect that many Mac gamers are not willing to update to Catalina.

Judging by the metrics on MGS... the adoption rate of Catalina has been VERY low compared to all prior macOS versions.

10.15 is still sitting at only 2.7% of users, using it.
10.14 is sitting at 51.2%.
10.13 coming in at 21.1%.
Then all the rest is a mix of all the prior all the way back to 10.4 (yes, some people still run 10.4).

-Fm [1oM7]
"I'm not incorruptible, I am so corrupt nothing you can offer me is tempting." - Alfred Bester


#2845 Matt Diamond

Matt Diamond

    Uberspewer

  • IMG Writers
  • 2834 posts
  • Location:PA; US
  • Pro Member:Yes

Posted 05 November 2019 - 08:39 PM

Brad Oliver posted on twitter: "Glad to see this one finally ship. A lot of interesting under-the-hood new tech powering this one!"

Presumably if things had been less "interesting" it might not require Catalina..
www.mindthecube.com

Current setup: macOS 10.14.x/2018 Mac Mini 3.2GHz i7/16GB RAM/Sonnet Breakaway 650 eGPU w Sapphire Radeon VEGA 56 8GB

#2846 jeannot

jeannot

    Heroic

  • Members
  • PipPipPipPip
  • 395 posts

Posted 06 November 2019 - 12:39 AM

View PostMatt Diamond, on 05 November 2019 - 08:39 PM, said:

Brad Oliver posted on twitter: "Glad to see this one finally ship. A lot of interesting under-the-hood new tech powering this one!"

Presumably if things had been less "interesting" it might not require Catalina..
He doesn't say if this new tech is related to the Linux and/or macOS port.

#2847 dr.zeissler

dr.zeissler

    Heroic

  • Members
  • PipPipPipPip
  • 285 posts
  • Location:GERMANY

Posted 06 November 2019 - 06:57 AM

View PostFrigidman™, on 05 November 2019 - 01:42 PM, said:

Judging by the metrics on MGS... the adoption rate of Catalina has been VERY low compared to all prior macOS versions.

10.15 is still sitting at only 2.7% of users, using it.
10.14 is sitting at 51.2%.
10.13 coming in at 21.1%.
Then all the rest is a mix of all the prior all the way back to 10.4 (yes, some people still run 10.4).

I am running 10.3.9 on my g4-macmini's
iMac 27" Late 2012 3,4Ghz i7 NT 680MX
Macbook Air Late 2010 320M
MacMinis 2005 - 2011

#2848 Frigidman™

Frigidman™

    Eye Sea Yew

  • Admin
  • 4399 posts
  • Steam ID:frigidman
  • Location:East mahn, East!
  • Pro Member:Yes

Posted 06 November 2019 - 08:33 AM

View Postdr.zeissler, on 06 November 2019 - 06:57 AM, said:

I am running 10.3.9 on my g4-macmini's

I might actually still have that on one of my older MBP too! Wow, makes me wonder what I have on that machine .... if the dust bunnies have not eaten it by now, I may fire it up.... someday. LOL

-Fm [1oM7]
"I'm not incorruptible, I am so corrupt nothing you can offer me is tempting." - Alfred Bester


#2849 Laurensvo

Laurensvo

    Fan

  • Members
  • Pip
  • 40 posts
  • Steam ID:laurensvo
  • Location:Aberdeen, GB

Posted 06 November 2019 - 10:35 AM

Personally, never had problems with Catalina. Whats all the noise about Catalina?

#2850 Cougar

Cougar

    Master Blaster

  • Members
  • PipPipPipPipPipPip
  • 1689 posts
  • Steam Name:FuzzyPuffin

Posted 06 November 2019 - 11:11 AM

View PostLaurensvo, on 06 November 2019 - 10:35 AM, said:

Personally, never had problems with Catalina. Whats all the noise about Catalina?

Mainly the dropping of 32-bit support, with little benefit in terms of new features.

#2851 jos

jos

    Fanatic

  • Members
  • PipPip
  • 69 posts

Posted 06 November 2019 - 11:22 AM

View Postmattw, on 05 November 2019 - 01:10 PM, said:

Seems Shadow of the Tomb Raider requires Catalina as well...

It is starting to look like you need two Macs - one for all your legacy titles and another going forwards.

Personally I don't care if it needs Catalina. I've got several MacBooks, so for me it's no problem to just update the newest one to Catalina and keep on using older version of macOS on the older ones. However, what I do care about is the store the game is being sold. Until now it's only on Steam and not on the Mac App Store. These new Tomb Raider games are a trilogy, so I want to play all three games. In such case I'll always wait until all of them are released, so I can buy and play all of them without having to wait until the release of the next game in the franchise (the same way I'm still waiting for the complete boxset with all seasons of Game of Thrones to be released, so I can buy and watch all seasons without having to wait every time until a new season is released).

However, I refuse to use Steam, but until now there's no sign of the game on the Mac App Store. Deus Ex is one of those game series that had the first games available on the Mac App Store, but the last one was only available on Steam. I'll either buy all three of them from the Mac App Store or I won't buy any of them. I'm not going to buy only the first two games if I can't finish the whole trilogy. It'd be like watching Back to the Future on Blu-ray, then watching Back to the Future Part II on Blu-ray and then you'd see the text "To be continued..." on screen, but Back to the Future Part 3 is only available on Netflix. If the first two games are available on the Mac App Store the last one should be as well.

#2852 dr.zeissler

dr.zeissler

    Heroic

  • Members
  • PipPipPipPip
  • 285 posts
  • Location:GERMANY

Posted 06 November 2019 - 01:02 PM

View PostFrigidman™, on 06 November 2019 - 08:33 AM, said:

I might actually still have that on one of my older MBP too! Wow, makes me wonder what I have on that machine .... if the dust bunnies have not eaten it by now, I may fire it up.... someday. LOL

btw. so many excellent games for that machine...my 500GB FW-Drive is more than 70% full :)
iMac 27" Late 2012 3,4Ghz i7 NT 680MX
Macbook Air Late 2010 320M
MacMinis 2005 - 2011

#2853 Laurensvo

Laurensvo

    Fan

  • Members
  • Pip
  • 40 posts
  • Steam ID:laurensvo
  • Location:Aberdeen, GB

Posted 06 November 2019 - 03:58 PM

View Postjos, on 06 November 2019 - 11:22 AM, said:


However, I refuse to use Steam, but until now there's no sign of the game on the Mac App Store. Deus Ex is one of those game series that had the first games available on the Mac App Store, but the last one was only available on Steam. I'll either buy all three of them from the Mac App Store or I won't buy any of them. I'm not going to buy only the first two games if I can't finish the whole trilogy. It'd be like watching Back to the Future on Blu-ray, then watching Back to the Future Part II on Blu-ray and then you'd see the text "To be continued..." on screen, but Back to the Future Part 3 is only available on Netflix. If the first two games are available on the Mac App Store the last one should be as well.

What's wrong with Steam? It's not that bad.

btw do we get a star when we've reached 100 posts?

#2854 Matt Diamond

Matt Diamond

    Uberspewer

  • IMG Writers
  • 2834 posts
  • Location:PA; US
  • Pro Member:Yes

Posted 06 November 2019 - 07:40 PM

View PostLaurensvo, on 06 November 2019 - 03:58 PM, said:

btw do we get a star when we've reached 100 posts?
No, sorry. But you do get a balloon after 38 posts.

:balloon:
www.mindthecube.com

Current setup: macOS 10.14.x/2018 Mac Mini 3.2GHz i7/16GB RAM/Sonnet Breakaway 650 eGPU w Sapphire Radeon VEGA 56 8GB

#2855 UmarOMC1

UmarOMC1

    Master Blaster

  • Members
  • PipPipPipPipPipPip
  • 1570 posts
  • Location:NYC

Posted 07 November 2019 - 12:01 AM

View Postmattw, on 05 November 2019 - 01:10 PM, said:

Seems Shadow of the Tomb Raider requires Catalina as well...
WHOA! And I almost purchased it on the 67% off sale a week before [the macOS/Linux] release. I've got a library to finish before I upgrade.
macOS 10.14.x/3.7GHz i7-8700K Hackintosh/64GB RAM/Gigabyte RADEON VII
(my 'world of hurt' that my kids built in a day & is easier to maintain than Windows)

#2856 jos

jos

    Fanatic

  • Members
  • PipPip
  • 69 posts

Posted 07 November 2019 - 11:31 AM

View PostLaurensvo, on 06 November 2019 - 03:58 PM, said:

What's wrong with Steam? It's not that bad.

The horrible DRM they use and the terrible client.

#2857 Frigidman™

Frigidman™

    Eye Sea Yew

  • Admin
  • 4399 posts
  • Steam ID:frigidman
  • Location:East mahn, East!
  • Pro Member:Yes

Posted 07 November 2019 - 11:42 AM

View Postjos, on 07 November 2019 - 11:31 AM, said:

The horrible DRM they use and the terrible client.

DRM? Their own DRM is no worse than GOG's or Origin, or Uplay, or even MGS's copy protection wraps.

The terrible client is a completely valid claim.... especially after them completely abusing the hell out of good UI design with their "New Game Library" update. If they wanted to push people to Epic... that new UI is a good start.

-Fm [1oM7]
"I'm not incorruptible, I am so corrupt nothing you can offer me is tempting." - Alfred Bester


#2858 dr.zeissler

dr.zeissler

    Heroic

  • Members
  • PipPipPipPip
  • 285 posts
  • Location:GERMANY

Posted 07 November 2019 - 12:24 PM

I don't like steam, but I hate if you have dvd's and can't install due to online-activation and no cracks in sight.
iMac 27" Late 2012 3,4Ghz i7 NT 680MX
Macbook Air Late 2010 320M
MacMinis 2005 - 2011

#2859 Laurensvo

Laurensvo

    Fan

  • Members
  • Pip
  • 40 posts
  • Steam ID:laurensvo
  • Location:Aberdeen, GB

Posted 07 November 2019 - 01:49 PM

View Postdr.zeissler, on 07 November 2019 - 12:24 PM, said:

I don't like steam, but I hate if you have dvd's and can't install due to online-activation and no cracks in sight.

You don't need DVDs for Steam. Wait...arn't cracks illegal?

#2860 Camper-Hunter

Camper-Hunter

    Heroic

  • Members
  • PipPipPipPip
  • 474 posts
  • Steam Name:Camper-Hunter
  • Steam ID:Rorqual
  • Location:Paris, France

Posted 07 November 2019 - 03:16 PM

View PostFrigidman™, on 07 November 2019 - 11:42 AM, said:

If they wanted to push people to Epic... that new UI is a good start.

Trouble is, the Epic Store UI is even worse.